<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Document</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
</head>
<body class="m-5">
    <h1>TASK LIST</h1>
    <form action="" id="task-f">
        <label for="" class="">Task</label><br>
        <input type="text" id="input" ><br>
        <input type="submit" class="btn btn-primary btn-sm mt-3" value="ADD" id="task_submit">
    </form>
    <div class="mt-3">Task List</div>
    <div id="task_"></div>
    <script>
        var form = document.getElementById("task-f");
        var input = document.getElementById("input");
        var task = document.getElementById("task_");

        form.addEventListener("submit",(event)=>{ 
            event.preventDefault();
            var x = input.value;
            if (!x){
                alert("Enter the task!");
            }else{
                var task_element = document.createElement("div");
                task_element.classList="task";
                task.appendChild(task_element);
                
                var content = document.createElement("content");
                content.classList = "content";
                task_element.appendChild(content);
                task.appendChild(task_element);

                var val = document.createElement("input");
                content.appendChild(val);
                val.type = "text";
                val.value = x;
                val.readOnly = true;  
                
                var delete_ = document.createElement("button");
                delete_.classList = "btn btn-sm btn-danger";
                delete_.innerHTML = "delete_";
                content.appendChild(delete_);

                delete_.addEventListener("click", ()=>{
                    task.removeChild(task_element);
                })
                
                var edit = document.createElement("button");
                edit.classList = "btn btn-sm btn-success";
                edit.innerHTML = "Edit";
                content.appendChild(edit);

                edit.addEventListener("click", ()=>{
                    val.readOnly = false;
                });            
            }
        });

    </script>
</body>
</html>
